Create Storage Profile

Create Storage Profile
Create storage profile

Create storage profile

Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/iaas/api/storage-profiles
COPY
Query Parameters
string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about


Request Body

StorageProfileSpecification instance

StorageProfileSpecification of type(s) application/json
Required

Show optional properties

{
    "name": "string",
    "defaultItem": false,
    "regionId": "31186"
}
{
    "name": "string",
    "description": "string",
    "defaultItem": false,
    "supportsEncryption": false,
    "tags": [
        {
            "key": "tier",
            "value": "silver"
        }
    ],
    "diskProperties": {
        "diskProperties": "{ \"diskProperties\": {\n                    \"provisioningType\": \"thin\",\n                    \"limitIops\": \"500\"\n                    \"diskType\": \"firstClass\"\n                } }"
    },
    "diskTargetProperties": {
        "diskTargetProperties": "{ \"diskTargetProperties\": {\n                    \"storagePolicyId\": \"7fhfj9f\",\n                    \"datastoreId\": \"638nfjd8\",\n                } }"
    },
    "regionId": "31186",
    "priority": 2,
    "storageFilterType": "MANUAL",
    "tagsToMatch": [
        {
            "key": "tag1",
            "value": "value1"
        }
    ],
    "computeHostId": "8c4ba7aa-3520-344d-b118-4a2108aaabb8",
    "storageProfileAssociations": [
        {
            "requestType": "CREATE",
            "associations": [
                {
                    "dataStoreId": "a42d016e-6b0e-4265-9881-692e90b76684",
                    "priority": "3"
                }
            ]
        }
    ]
}
string
name
Required

A human-friendly name used as an identifier in APIs that support this option.

string
description
Optional

A human-friendly description.

boolean
defaultItem
Required

Indicates if a storage class is the default one.

boolean
supportsEncryption
Optional

Indicates whether this storage class supports encryption or not.

array of object
tags
Optional

A list of tags that represent the capabilities of this storage class

object
diskProperties
Optional

Map of storage properties that are to be applied on disk while provisioning.

object
diskTargetProperties
Optional

Map of storage placements to know where the disk is provisioned. 'datastoreId' is deprecated, instead use 'storageProfileAssociations' parameter to associate datastores with the storage class.

string
regionId
Required

The Id of the region that is associated with the storage class.

integer As int32 As int32
priority
Optional

Defines the priority of the storage class with the highest priority being 0. Defaults to the value of 1.

string
storageFilterType
Optional

Defines filter type for adding storage objects (datastores) to the storage class. Defaults to INCLUDE_ALL. For INCLUDE_ALL and TAG_BASED all the valid Data stores will be associated with the priority 1.

Possible values are : INCLUDE_ALL, TAG_BASED, MANUAL,
array of object
tagsToMatch
Optional

A set of tag keys and optional values to be set on datastores to be included in this storage class based on the storageFilterType: TAG_BASED.

string
computeHostId
Optional

The compute host Id to be associated with the storage class.

array of object
storageProfileAssociations
Optional

Defines a specification of Storage Class datastore associations.

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns StorageProfile of type(s) application/json
{
    "id": "9.0E49",
    "createdAt": "2012-09-27",
    "updatedAt": "2012-09-27",
    "owner": "[email protected]",
    "ownerType": "ad_group",
    "orgId": "42413b31-1716-477e-9a88-9dc1c3cb1cdf",
    "_links": {
        "empty": false
    },
    "name": "my-name",
    "description": "my-description",
    "defaultItem": false,
    "supportsEncryption": false,
    "tags": [
        {
            "key": "tier",
            "value": "silver"
        }
    ],
    "diskProperties": {
        "diskProperties": {
            "provisioningType": "thin",
            "limitIops": "500",
            "diskType": "firstClass"
        }
    },
    "externalRegionId": "us-east-1",
    "cloudAccountId": "[9.0E49]",
    "priority": 2,
    "storageFilterType": "MANUAL",
    "computeHostId": "8c4ba7aa-3520-344d-b118-4a2108aaabb8",
    "tagsToMatch": [
        {
            "key": "tag1",
            "value": "value1"
        }
    ]
}
string
id
Required

The id of this resource instance

string
createdAt
Optional

Date when the entity was created. The date is in ISO 8601 and UTC.

string
updatedAt
Optional

Date when the entity was last updated. The date is ISO 8601 and UTC.

string
owner
Optional

Email of the user or display name of the group that owns the entity.

string
ownerType
Optional

Type of a owner(user/ad_group) that owns the entity.

string
orgId
Optional

The id of the organization this entity belongs to.

object
_links
Required

HATEOAS of the entity

string
name
Optional

A human-friendly name used as an identifier in APIs that support this option.

string
description
Optional

A human-friendly description.

boolean
defaultItem
Required

Indicates if a storage class is default or not.

boolean
supportsEncryption
Optional

Indicates whether this storage class supports encryption or not.

array of object
tags
Optional

A list of tags that represent the capabilities of this storage class

object
diskProperties
Optional

Map of storage properties that are to be applied on disk while provisioning.

string
externalRegionId
Optional

The id of the region for which this profile is defined

string
cloudAccountId
Optional

Id of the cloud account this storage class belongs to.

integer As int32 As int32
priority
Optional

Defines the priority of the storage class with the highest priority being 0. Defaults to the value of 1.

string
storageFilterType
Optional

Defines filter type for adding storage objects (datastores) to the storage class. Defaults to INCLUDE_ALL.

Possible values are : INCLUDE_ALL, TAG_BASED, MANUAL,
string
computeHostId
Optional

The compute host Id to be associated with the storage class.

array of object
tagsToMatch
Optional

A set of tag keys and optional values to be set on datastores to be included in this storage class based on the storageFilterType: TAG_BASED.


400

invalid request - bad data

Returns ServiceErrorResponse of type(s) application/json
{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "internalErrorCode": 0
}
string
message
Optional

message

string
messageId
Optional

messageId

array of string
stackTrace
Optional

stackTrace

integer As int32 As int32
statusCode
Optional

statusCode

integer As int32 As int32
errorCode
Optional

errorCode

array of string
details
Optional

details

string
serverErrorId
Optional

serverErrorId

string
documentKind
Optional

documentKind

integer As int32 As int32
internalErrorCode
Optional

internalErrorCode


403

Forbidden

Returns ServiceErrorResponse of type(s) application/json
{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "internalErrorCode": 0
}
string
message
Optional

message

string
messageId
Optional

messageId

array of string
stackTrace
Optional

stackTrace

integer As int32 As int32
statusCode
Optional

statusCode

integer As int32 As int32
errorCode
Optional

errorCode

array of string
details
Optional

details

string
serverErrorId
Optional

serverErrorId

string
documentKind
Optional

documentKind

integer As int32 As int32
internalErrorCode
Optional

internalErrorCode


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"defaultItem":"boolean","name":"string","regionId":"string"}' https://{api_host}/iaas/api/storage-profiles